[r-cran-modeltools] 02/02: added unit tests

Jonathon Love jon at thon.cc
Sat Aug 29 10:25:04 UTC 2015


This is an automated email from the git hooks/post-receive script.

jonathon-guest pushed a commit to branch master
in repository r-cran-modeltools.

commit de71868859bd806d3b4f4f4eb727ecccce0a4fcb
Author: Jonathon Love <jon at thon.cc>
Date:   Sat Aug 29 12:24:53 2015 +0200

    added unit tests
---
 debian/README.test         |  9 +++++++++
 debian/docs                |  3 +++
 debian/tests/control       |  3 +++
 debian/tests/run-unit-test | 20 ++++++++++++++++++++
 4 files changed, 35 insertions(+)

diff --git a/debian/README.test b/debian/README.test
new file mode 100644
index 0000000..ab9ca74
--- /dev/null
+++ b/debian/README.test
@@ -0,0 +1,9 @@
+Notes on how this package can be tested.
+────────────────────────────────────────
+
+To run the unit tests provided by the package you can do
+
+   sh run-unit-test
+
+in this directory.
+
diff --git a/debian/docs b/debian/docs
new file mode 100644
index 0000000..3adf0d6
--- /dev/null
+++ b/debian/docs
@@ -0,0 +1,3 @@
+debian/README.test
+debian/tests/run-unit-test
+tests
diff --git a/debian/tests/control b/debian/tests/control
new file mode 100644
index 0000000..d2aa55a
--- /dev/null
+++ b/debian/tests/control
@@ -0,0 +1,3 @@
+Tests: run-unit-test
+Depends: @
+Restrictions: allow-stderr
diff --git a/debian/tests/run-unit-test b/debian/tests/run-unit-test
new file mode 100644
index 0000000..04a05ab
--- /dev/null
+++ b/debian/tests/run-unit-test
@@ -0,0 +1,20 @@
+#!/bin/sh -e
+
+pkg=r-cran-modeltools
+
+if [ "$ADTTMP" = "" ] ; then
+  ADTTMP=`mktemp -d /tmp/${pkg}-test.XXXXXX`
+fi
+cd $ADTTMP
+cp -a /usr/share/doc/${pkg}/tests/* $ADTTMP
+
+for runtest in `ls *.R` ; do
+   LC_ALL=C R --no-save < $runtest >/dev/null
+   if [ ! $? ] ; then
+     echo "Test ${runtest} failed"
+     exit 1
+   else
+     echo "Test ${runtest} passed"
+   fi
+done
+rm -rf $ADTTMP/*

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/debian-science/packages/r-cran-modeltools.git



More information about the debian-science-commits mailing list